// The Rails helper wraps the button in a form, breaking defined styles.
// At least we fix it in the main menu
.rui-menu-item {
  .button_to {
    height: 100%;

    input,
    button {
      display: flex;
      height: 100%;
      padding-right: 0;
      padding-left: 0;
      background-color: unset;
      color: currentcolor;
      font-variant: none;
      gap: var(--spacer-default);

      &:hover,
      &:active {
        background-color: unset;
        color: currentcolor;
      }
    }
  }
}

.rui-toolbar {
  .button_to {
    &:last-child {
      input,
      button {
        border-bottom-right-radius: var(--border-radius);
        border-top-right-radius: var(--border-radius);
      }
    }
  }
}
